#
# spec file for package perl-POE-Component-IRC-Plugin-BaseWrap
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-POE-Component-IRC-Plugin-BaseWrap
Version:        1.001001
Release:        1.1
%define cpan_name POE-Component-IRC-Plugin-BaseWrap
Summary:        Base Class for Irc Plugins Which Need Triggers/Ban/Root Control
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/POE-Component-IRC-Plugin-BaseWrap/
Source0:        http://www.cpan.org/authors/id/Z/ZO/ZOFFIX/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(POE)
BuildRequires:  perl(POE::Component::IRC::Plugin)
Requires:       perl(POE)
Requires:       perl(POE::Component::IRC::Plugin)
%{perl_requires}

%description
The module is a base class which provides features such as limiting user
access to the plugin (banned/root), triggering on matching trigger. The
module provides listening to requests in public channels as well as /notice
and /msg messages.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE README README.md

%changelog
* Thu Apr 16 2015 coolo@suse.com
- updated to 1.001001
  see /usr/share/doc/packages/perl-POE-Component-IRC-Plugin-BaseWrap/Changes
* Sun May  1 2011 coolo@opensuse.org
- initial package 0.009
  * created by cpanspec 1.78.04
